Welcome
-------

Mote pHAT is an add-on for your Raspberry Pi or Pi Zero that lets you drive 4 strips of APA102 pixels.

* More information - https://shop.pimoroni.com/products/mote
* Get the code - https://github.com/pimoroni/mote-phat
* GPIO pinout - http://pinout.xyz/pinout/mote_phat
* Get help - http://forums.pimoroni.com/c/support

At A Glance
-----------

.. automoduleoutline:: motephat
	:members:

Clear All Channels
------------------

.. automodule:: motephat
    :noindex:
    :members: clear

Clear A Single Channel
----------------------

.. automodule:: motephat
    :noindex:
    :members: clear_channel

Set A Pixel
-----------

.. automodule:: motephat
    :noindex:
    :members: set_pixel

Set All Pixels
--------------

.. automodule:: motephat
    :noindex:
    :members: set_all

Set Brightness
--------------

.. automodule:: motephat
    :noindex:
    :members: set_brightness

Set Clear On Exit
-----------------

.. automodule:: motephat
    :noindex:
    :members: set_clear_on_exit

Show Buffer
-----------

.. automodule:: motephat
    :noindex:
    :members: show


Constants
---------

NUM_PIXELS = 8